package com.flyer.foster.controller.app;

import com.flyer.foster.entity.FosterRecord;
import com.flyer.foster.entity.Garden;
import com.flyer.foster.service.IFosterRecordService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 领养记录
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/foster-record")
public class AppFosterRecordController {

    @Autowired
    IFosterRecordService service;

    /**
     * 果园列表
     * @return
     */
    @GetMapping("/list/{appUserId}")
    public R list(@PathVariable Integer appUserId) {
        List<FosterRecord> res = service.lambdaQuery().
                eq(FosterRecord::getAppUserId, appUserId).list();
        return R.ok().result(res);
    }

}
